<?
require_once	'Zend/Controller/Plugin/Abstract.php';
/**
* 取IP地址
*
*/
class Custom_Controller_Plugin_Ipaddress extends Zend_Controller_Plugin_Abstract
 {
	function __construct() {
		
	}
	function getIP()
	{
		if (! empty ( $_SERVER ["HTTP_CLIENT_IP"] )) {
			$cip = $_SERVER ["HTTP_CLIENT_IP"];
		}else if (! empty ( $_SERVER ["HTTP_X_FORWARDED_FOR"] )) {
			$cip = $_SERVER ["HTTP_X_FORWARDED_FOR"];
		}else if (! empty ( $_SERVER ["REMOTE_ADDR"] )) {
			$cip = $_SERVER ["REMOTE_ADDR"];
		}else{
			$cip ="";
		}
		return $cip;
	}
 }